"use strict";

{
    const tempQuad = new C3.Quad();

    C3.Plugins.MassiveCube_DrawBackground.Instance = class DrawingInstance extends C3.SDKWorldInstanceBase
    {
        constructor(inst, properties)
        {
            super(inst);
            this._color = properties[0];

            this._winfo = this.GetWorldInfo();

        }

        Release()
        {
            super.Release();
        }

        Draw(renderer)
        {
            const wi = this.GetWorldInfo();
            const quad = wi.GetBoundingQuad();
            renderer.SetAlphaBlend();
            renderer.SetColorFillMode();
            renderer.SetColorRgba(this._color[0], this._color[1], this._color[2], wi.GetOpacity());
            renderer.Quad(quad);
        }

        SaveToJson()
        {
            return {};
        }

        LoadFromJson(o)
        {}
    };

}